There is, understandably, a lot of confusion surrounding the various Dragon Medical versions that have been released through the years. For one thing, the name was rebranded between versions 10 & 11, and the version numbers are referenced in various inconsistent ways. To clarify, here is a summary:
-
-
-

Dragon Naturally Speaking Medical 10..........10.x
Dragon Medical Practice Edition..................11.x
Dragon Medical Practice Edition-2................12.0
DMPE 2.1 Patch.......................................12.50
DMPE 2.2 Patch.......................................12.52.350.048
DMPE 2.3 Patch.......................................12.53.350.033
DMPE 2.3.1 Patch.....................................12.53.350.038

DMPE-3:  Never released in the U.S.

DMPE-4.0 (Major version release).......15.10.351.002

DMPE-4.1 (Patch or Full Client)............15.30.350.107

If you purchase DMPE-4, we will send you a Flash Drive with the latest release, instead of using the DVD sent in the box (which usually is an older version).

The version that is running on a particular machine can be determined as follows:

  • Start Dragon Medical
  • On the DragonBar click: Help --> About Dragon

If you're running version 10.x, or 11.s there is no upgrade path, since these versions are very old.  You need to purchase new licenses of DMPE-4.

If you are running DMPE-2 (12.x), you should strongly consider upgrading to DMPE-4 (15.3). The improved speed and accuracy of this version is very significant and you will be delighted with the change! Upgrades are available from us. The MSRP for upgrades is $599 as opposed to $1599 for a new purchase. We always discount below the MSRP, so please contact us for a quote.

The remainder of this article applies only to DMPE-2.x (12.x)

If you're running Dragon Medical versions 12.0 or 12.50, you should consider patching up to at least 12.52. There are significant bugs in 12.0 & 12.50 that adversely affect some EHRs & some functions. HOWEVER... You should seek our assistance to do this. User profiles created on 12.0 or 12.50 will not run on 12.52 or higher. 12.52 profiles will run on 12.53 without change. There is no charge for downloading patches 12.52 - 12.53.

We regularly get calls from clients where a user has patched their version up to 2.3.1, and then receives error messages about an outdated user profile. For this reason, we now recommend that IT departments turn off end-user notifications regarding new patches. For assistance in doing this, please contact us.

If a user is having no problems with their 12.x version, and they will never use another machine (that may have a newer or older version installed), you can leave well-enough alone.  Problems arise when a user has to switch to another machine and the software versions / profile versions are incompatibile.

Unfortunately, there is no one download that will take you automatically through several of these patches. You need to download/install each of them in turn on each machine. You can save significant time by saving each download to a shared drive, or a RAM drive.

You should patch (and upgrade all profiles) all the way up to 2.3.1 (12.53.350.038) if any of the following conditions exist:

Otherwise, you should consider patching all machines (and upgrade all profiles) to 2.2 (12.52.350.048):

  • Windows 7 or 8
  • Office 2010

If you have questions, or would like to request Dragon Medical Training, please email support@tcemr.com.

Twin Cities EMR Consulting, Minneapolis, MN
 Medical Speech Recognition Products – EHR Consulting Services – Training – Support